### Function

# GObject type_children

#### Declaration

    GType*
    g_type_children (
      GType type,
      guint* n_children
    )

#### Description

Return a newly allocated and 0-terminated array of type IDs, listing the child types of `type`.

#### Parameters

`type`

  Type: `GType`

  The parent type.

`n_children`

  Type: `guint*`

  Location to store the length of the returned array, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `GType`

Newly allocated and 0-terminated array of child types, free with g_free().

The length of the array is in the `n_children` argument.
The caller of the function takes ownership of the data, and is responsible for freeing it.